package org.serviio.cache;

import java.util.Arrays;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

import org.restlet.Response;
import org.restlet.data.CacheDirective;
import org.restlet.representation.Representation;

public class CacheConstants {

	/** Cache configuration : Public, max age=1 year. */
	public final static List<CacheDirective> CACHE_PUBLIC = Arrays
			.asList(CacheDirective.publicInfo());

	public final static Date FAR_AWAY;

	static {
		// dates
		Calendar c = Calendar.getInstance();
		c.set(2020, 12, 31);
		FAR_AWAY = c.getTime();
	}

	/**
	 * Make a HTTP response and an Entity cacheable.
	 * 
	 * @param response
	 *            HTTP response
	 * @param representation
	 *            representation
	 */
	public static void makeCacheable(Response response,
			Representation representation) {
		// response headers
		if (response != null) {
			response.setCacheDirectives(CacheConstants.CACHE_PUBLIC);
			// response.setDate(CacheConstants.LAST_YEAR);
			response.setDimensions(null);
		}
		// representation headers
		if (representation != null) {
			// Last-Modified
			representation.setModificationDate(null);
			// Expires
			representation.setExpirationDate(CacheConstants.FAR_AWAY);
			// Etag setTag()
		}
	}

}
