package org.serviio.cache;

import org.restlet.Context;
import org.restlet.Request;
import org.restlet.Response;
import org.restlet.data.Reference;
import org.restlet.data.Status;
import org.restlet.resource.Directory;

public class CachedDirectory extends Directory {

	public CachedDirectory(Context context, String rootUri) {
		this(context, new Reference(rootUri));
	}

	public CachedDirectory(Context context, Reference rootLocalReference) {
		super(context, rootLocalReference);
	}

	/**
	 * Set Cache-Control to Public.
	 */
	@Override
	public void handle(Request request, Response response) {
		super.handle(request, response);
		if (response.getStatus().equals(Status.SUCCESS_OK)) {
			CacheConstants.makeCacheable(response, response.getEntity());
		}
	}
}
