package org.serviio.restui.template;

import java.util.HashMap;
import java.util.Locale;
import java.util.Map;

import org.restlet.data.MediaType;
import org.restlet.representation.Representation;
import org.restlet.resource.Get;
import org.restlet.resource.ServerResource;
import org.serviio.cache.CacheConstants;
import org.serviio.console.i18n.Utf8ResourceBundle;

import com.freemarker.TemplateApplicator;
import com.freemarker.TemplateRepresentation;

public class TemplatedConsole extends ServerResource {

	public final static String BUNDLE = "org.serviio.console.i18n.messages";
	public final static String TPL_DIR = "org/serviio/restui/template/";

	@Get("html")
	public Representation load() {
		// Language requested
		String language = (String) getRequest().getAttributes().get("language");
		Locale locale = Locale.getDefault();
		if (language != null)
			locale = new Locale(language);

		// Template data model
		Map<String, Object> dataModel = new HashMap<String, Object>();
		dataModel.put("msg", Utf8ResourceBundle.getBundle(BUNDLE, locale));

		// Template Representation
		TemplateRepresentation representation = new TemplateRepresentation(
				TPL_DIR + "console.tpl.jsp", TemplateApplicator.cfg, dataModel,
				MediaType.TEXT_HTML);

		CacheConstants.makeCacheable(getResponse(), representation);
		return representation;
	}
}