<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd" >

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Serviio Console</title>

<link rel="shortcut icon" href="/serviio/statique/images/icon.png" />

<script type="text/javascript" src="/serviio/statique/scripts/min/head.load-0.9.min.js" ></script>
<script type="text/javascript" src="/serviio/statique/scripts/serviio-main.js" ></script>

<style type="text/css" media="screen">
    body { margin: 10px; padding: 0; font: 1em "Trebuchet MS", verdana, arial, sans-serif; font-size: 90%; }
    h1 {  font-family: Garamond, "Times New Roman", Times, Serif;}
    textarea { width: 80%;}
    fieldset { border: 1px solid #ccc; margin: 0; }
    legend { color: #ccc; }
    textarea, button, input[type=submit] { border: 1px solid #999; }
    label { display: block;  }
    img { margin: 5px; }
    ul.tabNavigation { list-style: none; margin: 0; padding: 0; }
    ul.tabNavigation li { display: inline; }
    ul.tabNavigation li a { padding: 3px 5px; background-color: #ccc; color: #000; text-decoration: none; }
    ul.tabNavigation li a.selected,
    ul.tabNavigation li a:hover { background-color: #333; color: #fff; padding-top: 7px; }
    ul.tabNavigation li a:focus { outline: 0; }
    div.tab { padding: 5px; margin-top: 3px; border: 5px solid #333; }
    .selectable { color: #000; }
    .selected { background-color: #333; color: #fff; }
    .red { color: red; }
    .green { color: green; }

	/* Modal popup */
    #simplemodal {display:none;}
	/* Overlay */
	#simplemodal-overlay {background-color:#eee; cursor:wait;}
	/* Container */
	#simplemodal-container { height:50%; width:50%; text-align:left; background:#fff; border:2px solid #369; }
	#simplemodal-container .header {height:30px; line-height:30px; width:100%; font-weight:bold; border:1px solid #336699; }
	#simplemodal-container .header span {padding-left:8px;}
	#simplemodal-container .message {color:#333; font-size:14px; margin:0; }
	#simplemodal-container .buttons {line-height:26px; width:160px; float:right; padding:10px 8px 0;} 
	#simplemodal-container .buttons div {float:right; margin-left:4px; width:70px; height:26px; color:#666; font-weight:bold; text-align:center; border:1px solid #bbb; cursor:pointer;} 
	#simplemodal-container a.modal-close {text-decoration:none; font-weight:bold; position:absolute; right:10px; top:2px; }
	#simplemodal-container a.modal-close:hover {color:#ccc;}

</style>
</head>

<body>
<h1>${msg['window_title']}
<img src="/serviio/statique/images/ajax-loader.gif" width="16" height="16" 
 id="loading" title="loading" align="top" style="display:none;">
</h1>

<div id="error" class="red" style="display:none;">
	<b>${msg['error_1']}</b><br>
</div>

<!-- Tabs -->
<div class="tabs">
    <ul class="tabNavigation">
        <li><a href="#status">${msg['tab_status']}</a></li>
        <li><a href="#repository">${msg['tab_folders']}</a></li>
        <li><a href="#metadata">${msg['tab_metadata']}</a></li>
        <li><a href="#transcoding">${msg['tab_transcoding']}</a></li>
        <li><a href="#presentation">${msg['tab_presentation']}</a></li>
        <li><a href="#console-settings">${msg['tab_console_settings']}</a></li>
        <li><a href="#about">${msg['tab_about']}</a></li>
    </ul>
</div>

<div id='status-popup' style="display:none;">
	<div class='header'><span>${msg['tab_status_new_renderer_window_title']}</span></div>
	<div class='message'></div>
	<form action="#">
		<i>${msg['tab_status_new_renderer_overview']}</i><br/>
		${msg['tab_status_new_renderer_ip_address']}
		<input type="text" name="ipAddress" value="" /><br/>
		${msg['tab_status_new_renderer_name']}
		<input type="text" name="name" value="" /><br/>
 		<input type="hidden" name="profileId" value="" />
		<input type="hidden" name="status" value="UNKNOWN" />		
	</form>	
	<div class='buttons'>
		<div class='no simplemodal-close'>No</div><div class='yes'>Yes</div>
	</div>
</div>

<div id='repository-popup' style="display:none;">
	<div class='header'><span>${msg['tab_folders_button_add_remote']}</span></div>
	<div class='message'></div>
	<form action="#">
		<i>${msg['tab_folders_dialog_title_add_remote']}</i><br/>
		<input type="text" name="folderPath" value="" /><br/>
	</form>	
	<div class='buttons'>
		<div class='no simplemodal-close'>No</div><div class='yes'>Yes</div>
	</div>
</div>

<div id='folder-popup' style="display:none;">
	<div class='header'><span>${msg['tab_folders_button_add_remote']}</span></div>
	<iframe id="folder_iframe" src="javascript:false" frameborder="1" width="100%" height="70%"></iframe>
	<div class='buttons'>
		<div class='no simplemodal-close'>No</div><div class='yes'>Yes</div>
	</div>
</div>

<!-- Status template -->
<div id="statusTpl" style="display:none;" >
    <form action="#" id="new_status" name="status">
        <fieldset>
            <legend>${msg['tab_status_server_status']}</legend>
            <i>${msg['tab_status_description']}</i>
            <br/>
            ${msg['tab_status_server_status']} :
            <!-- {{if serverStatus == 'STARTED'}} -->
                <span class="green"> ${msg['tab_status_status_running']} </span>
            <!-- {{else}} -->
                <span class="red"> ${msg['tab_status_status_stopped']} </span>
            <!-- {{/if}} -->
            <input type="hidden" value="" name="serverStatus" />
            <br/>
            <button type="button" value="startServer">${msg['tab_status_button_start_server']}</button>
            <button type="button" value="stopServer">${msg['tab_status_button_stop_server']}</button>
        </fieldset>
        <fieldset>
            <legend>${msg['tab_status_renderer_profile']}</legend>
            <i>${msg['tab_status_profile_overview']}</i>
            <table border="1">
                 <tr>
                     <th>${msg['tab_status']}</th>
                     <th>${msg['tab_status_renderer_table_ipaddress']}</th>
                     <th>${msg['tab_status_renderer_table_device_name']}</th>
                     <th>${msg['tab_status_renderer_table_profile']}</th>
                 </tr>
                 <!-- {{each(i, f) $(renderers).toArray() }} -->
                 <tr class="selectable">
                     <td align="center">
                     <!-- {{if f.status == 'ACTIVE'}}  -->
                         <img alt="{{= f.status}}" title="{{= f.status}}" src="/serviio/statique/images/bullet_green.png" width="10" height="10" />
                     <!-- {{else f.status == 'INACTIVE'}}  -->
                         <img alt="{{= f.status}}" title="{{= f.status}}" src="/serviio/statique/images/bullet_red.png" width="10" height="10" />
                     <!-- {{else}} -->
                         <img alt="{{= f.status}}" title="{{= f.status}}" src="/serviio/statique/images/bullet_orange.png" width="10" height="10" />
                     <!-- {{/if}} -->
					 <!-- {{if f.uuid }}  -->
					 <input type="hidden" value="" name="renderers_{{= i}}_-uuid" />
            		 <!-- {{/if}} -->
                     <input type="hidden" value="" name="renderers_{{= i}}_-ipAddress" />
                     <input type="hidden" value="" name="renderers_{{= i}}_-name" />
                     <input type="hidden" value="" name="renderers_{{= i}}_-status" />
                     </td>
                     <td>{{= f.ipAddress}}</td>
                     <td>{{= f.name}}</td>
                     <td>
                     <select class="refdata" title="profiles" name="renderers_{{= i}}_-profileId">
                         <option value="-1">?</option>
                     </select>
                     </td>
                 </tr>
                 <!-- {{/each}} -->
            </table>
            <br/>
            <button type="button" value="status_refresh">${msg['button_refresh']}</button>
            <button type="button" value="status_add">${msg['button_add']}</button>
            <button type="button" value="status_remove">${msg['button_remove']}</button>
        </fieldset>
        <fieldset>
            <legend>${msg['tab_status_network_settings']}</legend>
            ${msg['tab_status_bound_ip_address']}
            <input type="text" name="boundIPAddress" value="" />
        </fieldset>
        <input type="submit" value="${msg['button_save']}" />
    </form>

</div>

<!-- Repository template -->
<div id="repositoryTpl" style="display:none;" >
    <table border="1">
        <tr>
            <th>${msg['tab_folders_respository_table_folder']}</th>
            <th><img alt="${msg['tab_folders_repository_table_share_video']}" title="${msg['tab_folders_repository_table_share_video']}" src="/serviio/statique/images/film.png" width="16" height="16" /></th>
            <th><img alt="${msg['tab_folders_repository_table_share_audio']}" title="${msg['tab_folders_repository_table_share_audio']}" src="/serviio/statique/images/music-beam.png" width="16" height="16" /></th>
            <th><img alt="${msg['tab_folders_repository_table_share_images']}" title="${msg['tab_folders_repository_table_share_images']}" src="/serviio/statique/images/camera-black.png" width="16" height="16" /></th>
            <th><img alt="${msg['tab_folders_repository_table_retrieve_descriptive_metadata']}" title="${msg['tab_folders_repository_table_retrieve_descriptive_metadata']}" src="/serviio/statique/images/document-attribute-m.png" width="16" height="16" /></th>
            <th><img alt="${msg['tab_folders_repository_table_scan_for_updates']}" title="${msg['tab_folders_repository_table_scan_for_updates']}" src="/serviio/statique/images/arrow-circle.png" width="16" height="16" /></th>
        </tr>
        <!-- {{each(i, f) $(sharedFolders).toArray() }} -->
        <tr class="selectable">
            <td>{{= f.folderPath}}
            <!-- {{if f.id }}  -->
                <input type="hidden" value="" name="sharedFolders_{{= i}}_-id" />
            <!-- {{/if}} -->
                <input type="hidden" value="" name="sharedFolders_{{= i}}_-folderPath" />
            </td>
            <td><input type="checkbox" value="VIDEO" name="sharedFolders_{{= i}}_-supportedFileTypes" /></td>
            <td><input type="checkbox" value="AUDIO" name="sharedFolders_{{= i}}_-supportedFileTypes" /></td>
            <td><input type="checkbox" value="IMAGE" name="sharedFolders_{{= i}}_-supportedFileTypes" /></td>
            <td><input type="checkbox" value="true"  name="sharedFolders_{{= i}}_-descriptiveMetadataSupported" /></td>
            <td><input type="checkbox" value="true"  name="sharedFolders_{{= i}}_-scanForUpdates" /></td>
        </tr>
        <!-- {{/each}} -->
    </table>
</div>

<!-- Presentation template -->
<div id="presentationTpl" style="display:none;" >
    <table border="0">
        <tr>
            <th>${msg['tab_presentation_categories_table_category_name']}</th>
            <th>${msg['tab_presentation_categories_table_category_visibility']}</th>
        </tr>
        <!-- {{each(i, f) $(categories).toArray() }} -->
        <tr>
            <td><b>{{= f.title}}</b>
            <input type="hidden" value="" name="categories_{{= i}}_-id" />
            <input type="hidden" value="" name="categories_{{= i}}_-title" />
            </td>
            <td>
            <select class="refdata" title="categoryVisibilityTypes" name="categories_{{= i}}_-visibility" >
                <option value="-1">?</option>
            </select>
            </td>
        </tr>
        <!-- {{each(j, f2) $(f.subCategories).toArray() }} -->
        <tr align="right">
            <td>{{= f2.title}}
            <input type="hidden" value="" name="categories_{{= i}}_-subCategories_{{= j}}_-id" />
            <input type="hidden" value="" name="categories_{{= i}}_-subCategories_{{= j}}_-title" />
            </td>
            <td>
            <select class="refdata" title="categoryVisibilityTypes" name="categories_{{= i}}_-subCategories_{{= j}}_-visibility" >
                <option value="-1">?</option>
            </select>
            </td>
        </tr>
        <!-- {{/each}} -->
        <!-- {{/each}} -->
    </table>
</div>

<!-- Status - Form -->
<div id="status" class="tab">
    <div id="statuss"></div>
</div>

<!-- Repository - Form -->
<div id="repository" class="tab">
<form action="#" id="new_repository" name="repository">
    <fieldset>
        <legend>${msg['tab_folders_repositories_panel']}</legend>
        <i>${msg['tab_folders_description']}</i>
		<div id="repositorys"></div>
        <button type="button" value="repository_add_local">${msg['tab_folders_button_add_local']}</button>
        <button type="button" value="repository_add_remote">${msg['tab_folders_button_add_remote']}</button>
        <button type="button" value="repository_remove">${msg['button_remove']}</button>
        <br/>
        <br/>
        <input type="checkbox" value="true" name="searchForUpdates" />
        ${msg['tab_folders_search_for_files_updates']}
        <br/>
        <input type="checkbox" value="true" name="searchHiddenFiles" />
        ${msg['tab_folders_include_hidden']}
    </fieldset>
    <fieldset>
        <legend>${msg['tab_folders_library_status_panel']}</legend>
        <input type="checkbox" value="true" name="automaticLibraryUpdate" />
        ${msg['tab_folders_automatic_update']}
        <br/>
        ${msg['tab_folders_automatic_update_interval']}
        <input type="text" name="automaticLibraryUpdateInterval"/>
        <br/>
        <button type="button" value="forceLibraryRefresh">${msg['tab_folders_button_refresh_library']}</button>
    </fieldset>
    <input type="submit" value="${msg['button_save']}" />
</form>
</div>

<!-- Metadata - Form -->
<div id="metadata" class="tab">
<form action="#" id="new_metadata" name="metadata">
    <i>${msg['tab_metadata_description']}</i>
    <fieldset>
        <legend>${msg['file_type_audio']}</legend>
        <input type="checkbox" value="true" name="audioLocalArtExtractorEnabled" />
        ${msg['tab_metadata_audio_local_art']}
    </fieldset>
    <fieldset>
        <legend>${msg['file_type_video']}</legend>
        <input type="checkbox" value="true" name="videoGenerateLocalThumbnailEnabled" />
        ${msg['tab_metadata_video_enable_local_thumbnail']}
        <br/>
        <input type="checkbox" value="true" name="videoLocalArtExtractorEnabled" />
        ${msg['tab_metadata_video_local_poster']}
        <br/>
        ${msg['tab_metadata_descriptive_metadata_description']}
        <br/>
        <select class="refdata" title="descriptiveMetadataExtractors" name="descriptiveMetadataExtractor" >
            <option value="-1">?</option>
        </select>
        <br/>
        <input type="checkbox" value="true" name="videoOnlineArtExtractorEnabled" />
        ${msg['tab_metadata_video_online_retrieve_poster']}
        <button type="button" value="forceVideoFilesMetadataUpdate">
        ${msg['tab_metadata_button_force_video_metadata']}</button>
        <br/>
        ${msg['tab_metadata_metadata_languages_description']}
        <br/>
        <select class="refdata" title="metadataLanguages" name="metadataLanguage" >
            <option value="-1">?</option>
        </select>
        <input type="checkbox" value="true" name="retrieveOriginalTitle" />
        ${msg['tab_metadata_video_use_original_title']}
    </fieldset>
    <input type="submit" value="${msg['button_save']}" />
</form>
</div>

<!-- Transcoding - Form -->
<div id="transcoding" class="tab">
<form action="#" id="new_transcoding" name="transcoding">
    <i>${msg['tab_transcoding_general_description']}</i>
    <br/>
    <input type="checkbox" value="true" name="transcodingEnabled" />
    ${msg['tab_transcoding_enable_transcoding']}
    <fieldset>
        <legend>${msg['tab_transcoding_general_settings']}</legend>
        ${msg['tab_transcoding_folder_location']}
        <input type="text" name="transcodingFolderLocation" />
        <button type="button" value="transcoding_folder">${msg['tab_transcoding_select_folder']}</button>
        <br/>
        ${msg['tab_transcoding_threads']}
        <select class="refdata" title="cpu-cores" name="threadsNumber" >
            <option value="-1">?</option>
        </select>
    </fieldset>
    <fieldset>
        <legend>${msg['tab_transcoding_video_settings']}</legend>
        ${msg['tab_transcoding_audio_channels']}
        <input type="radio" name="audioDownmixing" value="false"/>
        ${msg['tab_transcoding_audio_channels_original']}
        <input type="radio" name="audioDownmixing" value="true"/>
        ${msg['tab_transcoding_audio_channels_stereo']}
    </fieldset>
    <input type="submit" value="${msg['button_save']}"  />
</form>
</div>

<!-- Presentation - Form -->
<div id="presentation" class="tab">
<form action="#" id="new_presentation" name="presentation">
    <i>${msg['tab_presentation_description']}</i>
    <div id="presentations"></div>
    <br/>
	<input type="checkbox" value="true" name="showParentCategoryTitle" />
	${msg['tab_presentation_include_category_title_for_content_only_content']}
    <br/>
    ${msg['tab_presentation_languages_description']}
    <br/>
    <select class="refdata" title="browsingCategoriesLanguages" name="language" >
        <option value="-1">?</option>
    </select>
    <br/>
    <input type="submit" value="${msg['button_save']}" />
</form>
</div>

<!-- Console - Form -->
<div id="console-settings" class="tab">
<form action="#" id="new_console" name="console-settings">
    <i>${msg['tab_console_settings_languages_description']}</i>
    <br/>
    <select class="refdata" title="browsingCategoriesLanguages" name="language" >
        <option value="-1">?</option>
    </select>
    <button type="button" value="console_reload">${msg['button_refresh']}</button>
    <br/>
    <input type="submit" value="${msg['button_save']}" />    
</form>
</div>

<!-- About -->
<div id="about" align="center" class="tab">
    <img alt="Serviio logo" src="/serviio/statique/images/logo.png" width="400" height="106" >
    <br/>
    <i>${msg['tab_about_text']}</i>
</div>

</body>
</html>
